> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Évaluer le modèle



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /evaluations/evaluate_model
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /evaluations/evaluate_model:
    post:
      tags:
        - Evaluations
      summary: Évaluer le modèle
      operationId: evaluate_model_evaluations_evaluate_model_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluateModelReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluateModelRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvaluateModelReq:
      additionalProperties: false
      properties:
        evaluation_ref:
          title: Evaluation Ref
          type: string
        model_ref:
          title: Model Ref
          type: string
        project_id:
          title: Project Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Ne pas définir directement. Le serveur renseignera automatiquement
            ce champ.
          title: Wb User Id
      required:
        - project_id
        - evaluation_ref
        - model_ref
      title: EvaluateModelReq
      type: object
    EvaluateModelRes:
      properties:
        call_id:
          title: Call Id
          type: string
      required:
        - call_id
      title: EvaluateModelRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````